scsi_s Struct Reference
Public interface » ID macros » Hardware information

raw SCSI data More...

`#include <hd.h>`

## Data Fields

struct scsi_s * | next
unsigned | deleted:1
unsigned | generic:1
unsigned | fake:1
unsigned | wwpn_ok:1
unsigned | fcp_lun_ok:1
char * | dev_name
char * | guessed_dev_name
int | generic_dev
unsigned | host
unsigned | channel
unsigned | id
unsigned | lun
char * | vendor
char * | model
char * | rev
char * | type_str
char * | serial
int | type
unsigned | inode_low
char * | proc_dir
char * | driver
unsigned | unique
char * | info
unsigned | lgeo_c
unsigned | lgeo_h
unsigned | lgeo_s
unsigned | pgeo_c
unsigned | pgeo_h
unsigned | pgeo_s
uint64_t | size
unsigned | sec_size
unsigned | cache
str_list_t * | host_info
char * | usb_guid
unsigned | pci_info
unsigned | pci_bus
unsigned | pci_slot
unsigned | pci_func
uint64_t | wwpn
uint64_t | fcp_lun
char * | controller_id

## Detailed Description

raw SCSI data

The documentation for this struct was generated from the following file:

- hd.h